Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BaseCursor..::.Delete Method
BaseCursor Class See Also Send Feedback

Delete the key/data pair to which the cursor refers.

When called on a SecondaryCursor, delete the key/data pair from the primary database and all secondary indices.

The cursor position is unchanged after a delete, and subsequent calls to cursor functions expecting the cursor to refer to an existing key will fail.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void Delete()

Visual Basic (Declaration)
    Public Sub Delete

Visual C++
    public:
    void Delete()

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.KeyEmptyException | Thrown if the element has already been deleted.

# See Also

BaseCursor Class
BerkeleyDB Namespace